# DataExchange
TKSTEP209
StepFEA

# StepFEA_CurveElementLocation Class Reference

Representation of STEP entity CurveElementLocation
.

`#include <StepFEA_CurveElementLocation.hxx>`

## Public Member Functions

Standard_EXPORT | StepFEA_CurveElementLocation ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(StepFEA_FeaParametricPoint)&aCoordinate)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepFEA_FeaParametricPoint | Coordinate () const
| Returns field Coordinate .
Standard_EXPORT void | SetCoordinate (const Handle(StepFEA_FeaParametricPoint)&Coordinate)
| Set field Coordinate .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepFEA_FeaParametricPoint | theCoordinate

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_CurveElementLocation::StepFEA_CurveElementLocation | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepFEA_FeaParametricPoint StepFEA_CurveElementLocation::Coordinate | ( |  | ) | const

Standard_EXPORT const StepFEA_CurveElementLocation::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepFEA_CurveElementLocation::Init | ( | const Handle(StepFEA_FeaParametricPoint)& | aCoordinate | ) |

Standard_EXPORT void StepFEA_CurveElementLocation::SetCoordinate | ( | const Handle(StepFEA_FeaParametricPoint)& | Coordinate | ) |

## Field Documentation

Handle_StepFEA_FeaParametricPoint StepFEA_CurveElementLocation::theCoordinate `[private]`

The documentation for this class was generated from the following file:

- StepFEA_CurveElementLocation.hxx